cURL
curl --request GET \
--url https://api.statista.ai/v1/data/market-insights/indicator \
--header 'x-api-key: <api-key>'import requests
url = "https://api.statista.ai/v1/data/market-insights/indicator"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.statista.ai/v1/data/market-insights/indicator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "<string>",
"title": "<string>",
"description": "<string>",
"chart": {
"name": "<string>",
"graphType": "<string>",
"data": [
{
"geo": "<string>",
"categories": [
"<string>"
],
"series": [
123
]
}
],
"unit": "<string>"
},
"market_type": "<string>",
"market_type_description": "<string>"
}Market Insights
Data
GET
/
v1
/
data
/
market-insights
/
indicator
cURL
Retrieve chart data for a specific Market Insights indicator.
Authorizations
Query Parameters
The unique identifier of the Market Insights indicator to be retrieved.
Comma-separated list of geo codes. Max items: 5. Available geo codes per indicator are part of the search result. Defaults to 'WLD'
Response
The request has succeeded.
A unique ID for this indicator. Helps find or refer to this data.
Short headline, what the data is about.
A short text explaining the most important facts in the data.
The chart data, covering one or more geo locations.
Show child attributes
Show child attributes
The type of market this data is descrypting.
A short text that explains what the market is about.
Was this page helpful?